.navbar {
    display: flex;
    flex-grow: 1;
    flex-basis: 0;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    margin-bottom: 20px;
}

* {
	box-sizing: border-box;
	font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
	font-size: 22px;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;

}

html {
    scroll-behavior: smooth;
}

body {
    min-width: 960px;
    position: relative;
    min-height: 100%;
    color: #555555;
    background-color: #FFFFFF;
    margin: 0;
    padding-bottom: 100px;
}

a:-webkit-any-link {
    color: -webkit-link;
    cursor: pointer;
    
}

ul.headerlinks {
    list-style-type: none;
    
}
li.navbarli {
    display:inline;
}


a.navbarlink {
    text-decoration: none;
    color:#555555;
    padding: 10px 10px;
    margin: 0px 10px;
    transition: border-color .5s ease;
    -moz-transition: border-color .5s ease;
	-webkit-transition: border-color .5s ease;
	-o-transition: border-color .5s ease;
    transition: background-color .5s ease;
    -moz-transition: background-color .5s ease;
	-webkit-transition: background-color .5s ease;
	-o-transition: background-color .5s ease;
    transition: border-bottom .5s ease;
    -moz-transition: border-bottom .5s ease;
	-webkit-transition: border-bottom .5s ease;
	-o-transition: border-bottom .5s ease;
    
}

a.navbarlink:hover {
    border-bottom:solid;
    border-color: red;
}

a.navbarlink:active {
    border: solid;
    border-color: rgb(255, 167, 167);
    border-width: 4px;
    border-radius: 5px;
    background-color: firebrick;
    color: white;
}

a.models {
    border-bottom: double;
    border-color: indianred;
    border-width: 6px;
}

h1.pageintro {
    position: absolute;
    top: -20px;
    left: 50px;
    color: #394352;
    font-size: 24px;
    padding: 24px 0px;
    margin-left: 40px;
}

div#modelsdiv {
    width: 840px;
    padding-top: 40px;
    margin:auto;

}

input.modelimg {
    margin: 5px;
    border: solid;
    border-width: 3px;
    border-radius: 5px;
    border-color: firebrick;
    z-index: 0;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
    

}

input.modelimg:hover {
    border-color: aquamarine;
    transform: scale(1.05);
    z-index: 4;

}

div#mountCanvas {
    position:absolute;
    top: 5%;
    left: 5%;
    /* transform: translate(-50%, -50%); */
    border: solid;
    border-width: 5px;
    border-radius: 5px;
    border-color: black;
    z-index: 5;
}
div#model-description {
    position: absolute;
    text-align: center;
    font-size: 28px;
    width: 100%;
    padding: 15px;
    z-index: 6;
    color: black;
    text-shadow: -1px -1px 0 red, 1px -1px 0 rgb(102, 255, 0), -1px 1px 0 rgb(0, 191, 255), 1px 1px 0 rgb(255, 0, 221);
}
div.link-icons {
    position: absolute;
    margin-right: 1%;
    top: 23px;
    right: 1%;
}
span#cart-icon {
    display: inline-block;
    text-align: center;
    background-color: #63748e;
    border-radius: 50%;
    color: #FFFFFF;
    font-size: 24px;
    line-height: 24px;
    width: 24px;
    height: 24px;
    font-weight: bold;
    position: absolute;
    top: -24px;
    right: -5px;
}
canvas {
    cursor: grab;
    
}

canvas:active {
    cursor:grabbing
}

button#closebtn {
    border-width: 3px;
    border-color: firebrick;
    border-radius: 5px;
    background-color: rgb(95, 190, 158);
    font-size: 18px;
    position:absolute;
    top: 35px;
    right: 35px;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
    z-index: 15;
}

button#closebtn:hover {
    border-color: rgb(95, 190, 158);
    font-size: 20px;
    background-color: aquamarine;
}

canvas {
    z-index: 10;
}

#progress-bar-container {
    border: solid;
    border-width: 3px;
    border-color:aquamarine;
    color:aquamarine;
    position: absolute;
    left: 50%;
    top: 45%;
    transform: translate(-50%, -50%);
    width: 40%;
    height: 20%;
    background-color: #333;
    display: flex;
    flex-direction:column;
    justify-content: center;
    align-items: center;
    z-index: 20;
  }
  
  #progressBar {
    width: 34%;
    margin-top: 0.5%;
    height: 2%;
    
  }
  p.foot{
    text-align: center;
}